package com.liquidnet.service.goblin.constant;

public class SmileRedisConst {
    public static final String PREFIX = "smile:";

    public static final String VOLUNTEERS = "volunteers:";

    public static final String SMILE_USER = PREFIX.concat("user");  //用户key
    public static final String SMILE_USER_VALIDATE = PREFIX.concat("user:validate");  //用户key

    public static final String SMILE_SCHOOL = PREFIX.concat("school");  //校园key

    public static final String SMILE_SHOW = PREFIX.concat("show");  //演出key

    public static final String SMILE_AGENT = PREFIX.concat("agent:"); //代理:演出id：票种id

    public static final String SELL_DATA = PREFIX.concat("sellData:");  //销售数据 第一步

    public static final String SELL_DATA_DETAIL = PREFIX.concat("sellDataDetail:");  //销售数据 第一步

    public static final String SELL_DATA_COMMISSION = PREFIX.concat("sellDataCommission:");  //销售数据 第一步
    public static final String SELL_SHOW_PAYMENT = PREFIX.concat("show:payment:");  //打款信息  SELL_SHOW_PAYMENT+演出id+uid

    public static final String SELL_SHOW_PAYMENT_ENDJOB = PREFIX.concat("show:payment:endJob");  //定时任务结算信息  SELL_SHOW_PAYMENT_ENDJOB+演出id+uid

    public static final String SELL_USER_REVENUE = PREFIX.concat("user:revenue:");  //用户总营收  SELL_USER_REVENUE+uid

    public static final String SELL_TEST = PREFIX.concat("test");  //用户总营收  SELL_USER_REVENUE+uid

    public static final String SELL_SHOW_POEN = PREFIX.concat("show:poen:");  //代理总销售数量

    public static final String SELL_SHOW_TOTAL_SALE_PRICE = PREFIX.concat("show:total:sale:price:");  //代理总销售金额  TotalSalePrice

    public static final String SELL_SHOW_TOTAL_SALE_PRICE_USER = PREFIX.concat("show:total:sale:price:user:");  //用户销售总销售金额

    public static final String PROJECT_DETAILS = PREFIX.concat(VOLUNTEERS).concat("project:");  //志愿者活动详情 $key:$projectId
    public static final String TEAM_DETAILS = PREFIX.concat(VOLUNTEERS).concat("team:");  //志愿者职责组详情 $key:$teamId
    public static final String PROJECT_ID_LIST = PREFIX.concat(VOLUNTEERS).concat("list");  //志愿者活动列表 $key
    public static final String VOLUNTEERS_DETAILS = PREFIX.concat(VOLUNTEERS).concat(":");  //志愿者报名详情 $key:$projectId:uid:$uid
    public static final String PROJECT_ID_CARD = PREFIX.concat(VOLUNTEERS).concat("project:");//身份证报名 $key:$projectId:idCard:$idCard
}
